@echo off
chcp 65001>NUL
rem setlocal && cd /D "%~dp0"
REM AYTO TO SCRIPT ΑΦΑΙΡΕΙ ΟΛΕΣ ΤΙΣ ΠΛΗΡΟΦΟΡΙΕΣ ΓΙΑ ΤΑ ΑΡΧΕΙΑ ΒΙΝΤΕΟ ΣΤΟΝ ΚΑΤΑΛΟΓΟ ΠΟΥ ΒΡΙΣΚΕΣΤΕ
REM ΕΠΕΙΔΗ ΤΟ ΑΡΧΕΙΟ ΤΟ ΕΦΤΙΑΞΑ ΓΙΑ ΝΑ ΣΥΝΔΡΑΜΕΙ ΤΟ OBS ΕΒΑΛΑ TA 4 FORMAT ΠΟΥ ΧΡΗΣΙΜΟΠΟΙΕΙ ΤΟ OBS
REM ΑΝ ΘΕΛΕΤΕ ΚΑΙ ΑΛΛΟΥΣ ΤΥΠΟΥΣ ΒΙΝΤΕΟ ΑΠΛΑ ΤΟΥΣ ΠΡΟΣΘΕΤΕ ΜΕΣΑ ΣΤΗΝ ΠΑΡΕΝΘΕΣΗ. π.χ. *.wmv *.avi 
REM ΤΑ SCRIPT ΕΙΝΑΙ ΜΕΡΟΣ ΤΟΥ gamelink.gr-ffmpeg-scripts.zip ΑΠΟ ΤΟ EL.GAMELINK.GR
REM Ακολουθεί το Url για να μάθετε περισσότερα ή να το κατεβάσετε. Καλά video editing!
REM 
REM https://el.gamelink.gr/blog/Pws-Mporeite-Na-Mikrynete-ta-Video-gia-tis-MkDocs-Selides-sas-me-to-ffmpeg/ 
REM 

:FF

for /F tokens^=* %%i in ('dir /b *.mp4 *.mov *.mkv *.flv') do (

	echo.
	echo Αφαιρώ όλα τα μεταδεδομένα για το "%%i" ..
	echo.
	call ffmpeg -i "%%i" -map_metadata -1 -c copy "%%~pi%%~ni-0metadata.%%~xi"
	echo.
	rem echo Πάτα κάποιο κουμπί για να πάει στο επόμενο αρχείο
    call vidChckCode.bat "%%i"
    rem pause
)

goto End

rem endlocal 

:End 
call vid0ends.bat
exit /b 0